Archiv

Posts Tagged ‘ORA-28014’

ORA-28014: Cannot drop administrative users

September 4, 2015 2 Kommentare

Als ich versuchte ein Upgrade mit APEX 5 in einer Oracle 12c R1 auf APEX 4.2 durchzuführen musste ich feststellen, dass es wohl einen Bug bei der APEX 5 Installation gibt, der nur mit einem Patch oder durch das vorherige deinstallieren von APEX 4.2 behoben werden kann.

Also versuchte ich, APEX 4.2 in der 12c zu deinstallieren.

sqlplus / as sysdba

@apxremov

Hierbei ist dann dieser Fehler aufgetreten:

ORA-28014: Cannot drop administrative users

Abhilfe

Die Abhilfe ist ganz einfach. Durch setzen eines „undokumentierten“ Parameters in der Datenbank kann man die Fehlermeldung abschalten:

ALTER SESSION SET „_oracle_script“ = TRUE;

@apxremov

Und schon funktioniert es.

Advertisements
Kategorien:APEX 5, Oracle 12c Schlagwörter: , , , ,